<?php 

 echo '<table width="100%" cellspacing="0" cellpadding="2" border="0" align="center">' . "\n";

echo '  <tr>' . "\n";

echo '	<td align="left" valign="bottom"><span class="gensmall">' . "\n";

$_switch_user_logged_in_count = ( isset($this->_tpldata['switch_user_logged_in.']) ) ? sizeof($this->_tpldata['switch_user_logged_in.']) : 0;

for ($_switch_user_logged_in_i = 0; $_switch_user_logged_in_i < $_switch_user_logged_in_count; $_switch_user_logged_in_i++)

{

echo '	' . ( ( isset($this->_tpldata['.'][0]['LAST_VISIT_DATE']) ) ? $this->_tpldata['.'][0]['LAST_VISIT_DATE'] : '' ) . '<br />' . "\n";

} // END switch_user_logged_in

echo '	' . ( ( isset($this->_tpldata['.'][0]['CURRENT_TIME']) ) ? $this->_tpldata['.'][0]['CURRENT_TIME'] : '' ) . '<br /></span><span class="nav"><a href="' . ( ( isset($this->_tpldata['.'][0]['U_INDEX']) ) ? $this->_tpldata['.'][0]['U_INDEX'] : '' ) . '" class="nav">' . ( ( isset($this->_tpldata['.'][0]['L_INDEX']) ) ? $this->_tpldata['.'][0]['L_INDEX'] : '' ) . '</a></span></td>' . "\n";

echo '	<td align="right" valign="bottom" class="gensmall">' . "\n";

$_switch_user_logged_in_count = ( isset($this->_tpldata['switch_user_logged_in.']) ) ? sizeof($this->_tpldata['switch_user_logged_in.']) : 0;

for ($_switch_user_logged_in_i = 0; $_switch_user_logged_in_i < $_switch_user_logged_in_count; $_switch_user_logged_in_i++)

{

echo '		<a href="' . ( ( isset($this->_tpldata['.'][0]['U_SEARCH_NEW']) ) ? $this->_tpldata['.'][0]['U_SEARCH_NEW'] : '' ) . '" class="gensmall">' . ( ( isset($this->_tpldata['.'][0]['L_SEARCH_NEW']) ) ? $this->_tpldata['.'][0]['L_SEARCH_NEW'] : '' ) . '</a><br /><a href="' . ( ( isset($this->_tpldata['.'][0]['U_SEARCH_SELF']) ) ? $this->_tpldata['.'][0]['U_SEARCH_SELF'] : '' ) . '" class="gensmall">' . ( ( isset($this->_tpldata['.'][0]['L_SEARCH_SELF']) ) ? $this->_tpldata['.'][0]['L_SEARCH_SELF'] : '' ) . '</a><br />' . "\n";

} // END switch_user_logged_in

echo '		<a href="' . ( ( isset($this->_tpldata['.'][0]['U_SEARCH_UNANSWERED']) ) ? $this->_tpldata['.'][0]['U_SEARCH_UNANSWERED'] : '' ) . '" class="gensmall">' . ( ( isset($this->_tpldata['.'][0]['L_SEARCH_UNANSWERED']) ) ? $this->_tpldata['.'][0]['L_SEARCH_UNANSWERED'] : '' ) . '</a></td>' . "\n";

echo '  </tr>' . "\n";

echo '</table>' . "\n";

echo '' . "\n";

echo '<table width="100%" cellpadding="2" cellspacing="1" border="0" class="forumline">' . "\n";

echo '  <tr>' . "\n";

echo '	<th colspan="2" class="thCornerL" height="25" nowrap="nowrap">&nbsp;' . ( ( isset($this->_tpldata['.'][0]['L_FORUM']) ) ? $this->_tpldata['.'][0]['L_FORUM'] : '' ) . '&nbsp;</th>' . "\n";

echo '	<th width="50" class="thTop" nowrap="nowrap">&nbsp;' . ( ( isset($this->_tpldata['.'][0]['L_TOPICS']) ) ? $this->_tpldata['.'][0]['L_TOPICS'] : '' ) . '&nbsp;</th>' . "\n";

echo '	<th width="50" class="thTop" nowrap="nowrap">&nbsp;' . ( ( isset($this->_tpldata['.'][0]['L_POSTS']) ) ? $this->_tpldata['.'][0]['L_POSTS'] : '' ) . '&nbsp;</th>' . "\n";

echo '	<th class="thCornerR" nowrap="nowrap">&nbsp;' . ( ( isset($this->_tpldata['.'][0]['L_LASTPOST']) ) ? $this->_tpldata['.'][0]['L_LASTPOST'] : '' ) . '&nbsp;</th>' . "\n";

echo '  </tr>' . "\n";

$_catrow_count = ( isset($this->_tpldata['catrow.']) ) ? sizeof($this->_tpldata['catrow.']) : 0;

for ($_catrow_i = 0; $_catrow_i < $_catrow_count; $_catrow_i++)

{

echo '  <tr>' . "\n";

echo '	<td class="catLeft" colspan="2" height="28"><span class="cattitle"><a href="' . ( ( isset($this->_tpldata['catrow.'][$_catrow_i]['U_VIEWCAT']) ) ? $this->_tpldata['catrow.'][$_catrow_i]['U_VIEWCAT'] : '' ) . '" class="cattitle">' . ( ( isset($this->_tpldata['catrow.'][$_catrow_i]['CAT_DESC']) ) ? $this->_tpldata['catrow.'][$_catrow_i]['CAT_DESC'] : '' ) . '</a></span></td>' . "\n";

echo '	<td class="rowpic" colspan="3" align="right">&nbsp;</td>' . "\n";

echo '  </tr>' . "\n";

$_forumrow_count = ( isset($this->_tpldata['catrow.'][$_catrow_i]['forumrow.']) ) ? sizeof($this->_tpldata['catrow.'][$_catrow_i]['forumrow.']) : 0;

for ($_forumrow_i = 0; $_forumrow_i < $_forumrow_count; $_forumrow_i++)

{

echo '  <tr>' . "\n";

echo '	<td class="row1" align="center" valign="middle" height="50"><img src="' . ( ( isset($this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['FORUM_FOLDER_IMG']) ) ? $this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['FORUM_FOLDER_IMG'] : '' ) . '" width="46" height="25" alt="' . ( ( isset($this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['L_FORUM_FOLDER_ALT']) ) ? $this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['L_FORUM_FOLDER_ALT'] : '' ) . '" title="' . ( ( isset($this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['L_FORUM_FOLDER_ALT']) ) ? $this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['L_FORUM_FOLDER_ALT'] : '' ) . '" /></td>' . "\n";

echo '	<td class="row1" width="100%" height="50" onMouseOver="this.style.backgroundColor=\'#feeebe\'; this.style.cursor=\'hand\';" onMouseOut="this.style.backgroundColor=\'#f8e8b8\';" onclick="window.location.href=\'' . ( ( isset($this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['U_VIEWFORUM']) ) ? $this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['U_VIEWFORUM'] : '' ) . '\'"><span class="forumlink"> <a href="' . ( ( isset($this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['U_VIEWFORUM']) ) ? $this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['U_VIEWFORUM'] : '' ) . '" class="forumlink">' . ( ( isset($this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['FORUM_NAME']) ) ? $this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['FORUM_NAME'] : '' ) . '</a><br />' . "\n";

echo '	  </span> <span class="genmed">' . ( ( isset($this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['FORUM_DESC']) ) ? $this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['FORUM_DESC'] : '' ) . '<br />' . "\n";

echo '	  </span><span class="gensmall">' . ( ( isset($this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['L_MODERATOR']) ) ? $this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['L_MODERATOR'] : '' ) . ' ' . ( ( isset($this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['MODERATORS']) ) ? $this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['MODERATORS'] : '' ) . '</span></td>' . "\n";

echo '	<td class="row2" align="center" valign="middle" height="50"><span class="gensmall">' . ( ( isset($this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['TOPICS']) ) ? $this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['TOPICS'] : '' ) . '</span></td>' . "\n";

echo '	<td class="row2" align="center" valign="middle" height="50"><span class="gensmall">' . ( ( isset($this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['POSTS']) ) ? $this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['POSTS'] : '' ) . '</span></td>' . "\n";

echo '	<td class="row2" align="center" valign="middle" height="50" nowrap="nowrap"> <span class="gensmall">' . ( ( isset($this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['LAST_POST']) ) ? $this->_tpldata['catrow.'][$_catrow_i]['forumrow.'][$_forumrow_i]['LAST_POST'] : '' ) . '</span></td>' . "\n";

echo '  </tr>' . "\n";

} // END forumrow

} // END catrow

echo '</table>' . "\n";

echo '' . "\n";

echo '<table width="100%" cellspacing="0" border="0" align="center" cellpadding="2">' . "\n";

echo '  <tr>' . "\n";

echo '	<td align="left"><span class="gensmall"><a href="' . ( ( isset($this->_tpldata['.'][0]['U_MARK_READ']) ) ? $this->_tpldata['.'][0]['U_MARK_READ'] : '' ) . '" class="gensmall">' . ( ( isset($this->_tpldata['.'][0]['L_MARK_FORUMS_READ']) ) ? $this->_tpldata['.'][0]['L_MARK_FORUMS_READ'] : '' ) . '</a></span></td>' . "\n";

echo '	<td align="right"><span class="gensmall">' . ( ( isset($this->_tpldata['.'][0]['S_TIMEZONE']) ) ? $this->_tpldata['.'][0]['S_TIMEZONE'] : '' ) . '</span></td>' . "\n";

echo '  </tr>' . "\n";

echo '</table>' . "\n";

echo '' . "\n";

echo '<table width="100%" cellpadding="3" cellspacing="1" border="0" class="forumline">' . "\n";

echo '  <tr>' . "\n";

echo '	<td class="catHead" colspan="2" height="28"><span class="cattitle"><a href="' . ( ( isset($this->_tpldata['.'][0]['U_VIEWONLINE']) ) ? $this->_tpldata['.'][0]['U_VIEWONLINE'] : '' ) . '" class="cattitle">' . ( ( isset($this->_tpldata['.'][0]['L_WHO_IS_ONLINE']) ) ? $this->_tpldata['.'][0]['L_WHO_IS_ONLINE'] : '' ) . '</a></span></td>' . "\n";

echo '  </tr>' . "\n";

echo '  <tr>' . "\n";

echo '	<td class="row1" align="center" valign="middle" rowspan="2"><img src="templates/DesertStorm/images/whosonline.gif" alt="' . ( ( isset($this->_tpldata['.'][0]['L_WHO_IS_ONLINE']) ) ? $this->_tpldata['.'][0]['L_WHO_IS_ONLINE'] : '' ) . '" /></td>' . "\n";

echo '	<td class="row1" align="left" width="100%"><span class="gensmall">' . ( ( isset($this->_tpldata['.'][0]['TOTAL_POSTS']) ) ? $this->_tpldata['.'][0]['TOTAL_POSTS'] : '' ) . '<br />' . ( ( isset($this->_tpldata['.'][0]['TOTAL_USERS']) ) ? $this->_tpldata['.'][0]['TOTAL_USERS'] : '' ) . '<br />' . ( ( isset($this->_tpldata['.'][0]['NEWEST_USER']) ) ? $this->_tpldata['.'][0]['NEWEST_USER'] : '' ) . '</span>' . "\n";

echo '	</td>' . "\n";

echo '  </tr>' . "\n";

echo '  <tr>' . "\n";

echo '	<td class="row1" align="left"><span class="gensmall">' . ( ( isset($this->_tpldata['.'][0]['TOTAL_USERS_ONLINE']) ) ? $this->_tpldata['.'][0]['TOTAL_USERS_ONLINE'] : '' ) . ' &nbsp; [ ' . ( ( isset($this->_tpldata['.'][0]['L_WHOSONLINE_ADMIN']) ) ? $this->_tpldata['.'][0]['L_WHOSONLINE_ADMIN'] : '' ) . ' ] &nbsp; [ ' . ( ( isset($this->_tpldata['.'][0]['L_WHOSONLINE_MOD']) ) ? $this->_tpldata['.'][0]['L_WHOSONLINE_MOD'] : '' ) . ' ]<br />' . ( ( isset($this->_tpldata['.'][0]['RECORD_USERS']) ) ? $this->_tpldata['.'][0]['RECORD_USERS'] : '' ) . '<br />' . ( ( isset($this->_tpldata['.'][0]['LOGGED_IN_USER_LIST']) ) ? $this->_tpldata['.'][0]['LOGGED_IN_USER_LIST'] : '' ) . '</span></td>' . "\n";

echo '  </tr>' . "\n";

echo '</table>' . "\n";

echo '' . "\n";

echo '<table width="100%" cellpadding="1" cellspacing="1" border="0">' . "\n";

echo '	<td align="left" valign="top"><span class="gensmall">' . ( ( isset($this->_tpldata['.'][0]['L_ONLINE_EXPLAIN']) ) ? $this->_tpldata['.'][0]['L_ONLINE_EXPLAIN'] : '' ) . '</span></td>' . "\n";

echo '</table>' . "\n";

echo '' . "\n";

$_switch_user_logged_out_count = ( isset($this->_tpldata['switch_user_logged_out.']) ) ? sizeof($this->_tpldata['switch_user_logged_out.']) : 0;

for ($_switch_user_logged_out_i = 0; $_switch_user_logged_out_i < $_switch_user_logged_out_count; $_switch_user_logged_out_i++)

{

echo '<form method="post" action="' . ( ( isset($this->_tpldata['.'][0]['S_LOGIN_ACTION']) ) ? $this->_tpldata['.'][0]['S_LOGIN_ACTION'] : '' ) . '">' . "\n";

echo '  <table width="100%" cellpadding="3" cellspacing="1" border="0" class="forumline">' . "\n";

echo '	<tr>' . "\n";

echo '	  <td class="catHead" height="28"><a name="login"></a><span class="cattitle">' . ( ( isset($this->_tpldata['.'][0]['L_LOGIN_LOGOUT']) ) ? $this->_tpldata['.'][0]['L_LOGIN_LOGOUT'] : '' ) . '</span></td>' . "\n";

echo '	</tr>' . "\n";

echo '	<tr>' . "\n";

echo '	  <td class="row1" align="center" valign="middle" height="28"><span class="gensmall">' . ( ( isset($this->_tpldata['.'][0]['L_USERNAME']) ) ? $this->_tpldata['.'][0]['L_USERNAME'] : '' ) . ':' . "\n";

echo '		<input class="post" type="text" name="username" size="10" />' . "\n";

echo '		&nbsp;&nbsp;&nbsp;' . ( ( isset($this->_tpldata['.'][0]['L_PASSWORD']) ) ? $this->_tpldata['.'][0]['L_PASSWORD'] : '' ) . ':' . "\n";

echo '		<input class="post" type="password" name="password" size="10" />' . "\n";

echo '		&nbsp;&nbsp; &nbsp;&nbsp;' . ( ( isset($this->_tpldata['.'][0]['L_AUTO_LOGIN']) ) ? $this->_tpldata['.'][0]['L_AUTO_LOGIN'] : '' ) . '' . "\n";

echo '		<input class="text" type="checkbox" name="autologin" />' . "\n";

echo '		&nbsp;&nbsp;&nbsp;' . "\n";

echo '		<input type="submit" class="mainoption" name="login" value="' . ( ( isset($this->_tpldata['.'][0]['L_LOGIN']) ) ? $this->_tpldata['.'][0]['L_LOGIN'] : '' ) . '" />' . "\n";

echo '		</span> </td>' . "\n";

echo '	</tr>' . "\n";

echo '  </table>' . "\n";

echo '{S_HIDDEN_FIELDS} </form>' . "\n";

} // END switch_user_logged_out

echo '' . "\n";

echo '<br clear="all" />' . "\n";

echo '' . "\n";

echo '<table cellspacing="3" border="0" align="center" cellpadding="0">' . "\n";

echo '  <tr>' . "\n";

echo '	<td width="20" align="center"><img src="templates/DesertStorm/images/folder_new.gif" alt="' . ( ( isset($this->_tpldata['.'][0]['L_NEW_POSTS']) ) ? $this->_tpldata['.'][0]['L_NEW_POSTS'] : '' ) . '"/></td>' . "\n";

echo '	<td><span class="gensmall">' . ( ( isset($this->_tpldata['.'][0]['L_NEW_POSTS']) ) ? $this->_tpldata['.'][0]['L_NEW_POSTS'] : '' ) . '</span></td>' . "\n";

echo '	<td>&nbsp;&nbsp;</td>' . "\n";

echo '	<td width="20" align="center"><img src="templates/DesertStorm/images/folder.gif" alt="' . ( ( isset($this->_tpldata['.'][0]['L_NO_NEW_POSTS']) ) ? $this->_tpldata['.'][0]['L_NO_NEW_POSTS'] : '' ) . '" /></td>' . "\n";

echo '	<td><span class="gensmall">' . ( ( isset($this->_tpldata['.'][0]['L_NO_NEW_POSTS']) ) ? $this->_tpldata['.'][0]['L_NO_NEW_POSTS'] : '' ) . '</span></td>' . "\n";

echo '	<td>&nbsp;&nbsp;</td>' . "\n";

echo '	<td width="20" align="center"><img src="templates/DesertStorm/images/folder_lock.gif" alt="' . ( ( isset($this->_tpldata['.'][0]['L_FORUM_LOCKED']) ) ? $this->_tpldata['.'][0]['L_FORUM_LOCKED'] : '' ) . '" /></td>' . "\n";

echo '	<td><span class="gensmall">' . ( ( isset($this->_tpldata['.'][0]['L_FORUM_LOCKED']) ) ? $this->_tpldata['.'][0]['L_FORUM_LOCKED'] : '' ) . '</span></td>' . "\n";

echo '  </tr>' . "\n";

echo '</table>' . "\n";

echo '' . "\n"; 

 ?>